nageru (2.3.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:40:39 +0000

nageru (2.3.0-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 09:35:39 +0200

nageru (2.3.0-1) unstable; urgency=medium

  * New upstream release.
    * Update the FFmpeg build-dependency to 5.1.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 05 Oct 2023 00:41:44 +0200

nageru (2.2.3-1ubuntu2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:57:34 +0200

nageru (2.2.3-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Jul 2023 12:16:08 +0200

nageru (2.2.3-1) unstable; urgency=medium

  * New upstream release.
    * Fixes an issue with checkable theme menus. (Closes: #1041721)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 24 Jul 2023 14:03:20 +0200

nageru (2.2.2-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jul 2023 09:01:17 +0200

nageru (2.2.2-1) unstable; urgency=medium

  * New upstream release.
    * Fix build breaks with newer GCC and SVT-AV1. (Closes: #1037785)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 15 Jul 2023 17:29:52 +0200

nageru (2.2.1-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 08:52:14 +0200

nageru (2.2.1-1) unstable; urgency=medium

  * New upstream release.
    * Fixes several crash bugs related to video inputs. (Closes: #1034471)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 17 Apr 2023 18:37:27 +0200

nageru (2.2.0-2ubuntu2) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2023 17:55:58 +0100

nageru (2.2.0-2) unstable; urgency=medium

  * Remove ppc64el from futatabi's architecture list.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 23 Nov 2022 09:26:33 +0100

nageru (2.2.0-1ubuntu2) lunar; urgency=medium

  * Rebuild against new libprotobuf32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Jan 2023 19:40:34 +0100

nageru (2.2.0-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link, this causes a build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Nov 2022 13:50:25 -0800

nageru (2.2.0-1) unstable; urgency=medium

  * New upstream release.
    * Removes dependency on QCustomPlot. (Closes: #1024105)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 15 Nov 2022 00:27:07 +0100

nageru (2.1.0-2ubuntu4) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:00:11 +0000

nageru (2.1.0-2ubuntu3) kinetic; urgency=medium

  * No-change rebuild against libsrt1.5-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 16:57:36 +0000

nageru (2.1.0-2ubuntu2) kinetic; urgency=medium

  * Rebuild against latest x264

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Jun 2022 08:08:00 -0400

nageru (2.1.0-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link, FTBFS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 May 2022 09:03:09 +0200

nageru (2.1.0-2) unstable; urgency=medium

  * Remove ppc64el from architecture list, as it no longer has working LuaJIT
    (upstream does not support regular Lua). (Closes: #1011302)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 May 2022 12:05:00 +0200

nageru (2.1.0-1ubuntu2) jammy; urgency=medium

  * Rebuild against new libx264-163.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 15:26:59 +0100

nageru (2.1.0-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link, FTBFS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Feb 2022 09:36:33 +0100

nageru (2.1.0-1) unstable; urgency=medium

  * New upstream release.
    * Fixes compilation with FFmpeg 5.0. (Closes: #1004617)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 06 Feb 2022 16:11:40 +0100

nageru (2.0.2-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Sep 2021 08:32:56 +0200

nageru (2.0.2-1) unstable; urgency=medium

  * New upstream release.
    * Obsoletes fix-ffmpeg-height-calculation.diff.
  * Remove unused build-dependency libavresample-dev. (Closes: #971328)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 03 Sep 2021 18:45:12 +0200

nageru (2.0.1-3ubuntu1) impish; urgency=medium

  * Drop build dependency on lld. Using the default linker is just fine,
    and lld fast mode currently creates only 64bit hashes in fast mode.
    See https://bugs.llvm.org/show_bug.cgi?id=44138.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 May 2021 17:03:44 +0200

nageru (2.0.1-3) unstable; urgency=medium

  * Reenable the SRT support, as the srt package was fixed again. 
  * fix-ffmpeg-height-calculation.diff: New patch from upstream git,
    fixes resolution calculation in kaeru due to a typo.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 04 Apr 2021 21:26:11 +0200

nageru (2.0.1-2) unstable; urgency=medium

  * Build without SRT support (remove the build-dependency on
    libsrt-gnutls-dev), as the srt package in Debian is unmaintained and
    RC-buggy. (Closes: #979582)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 10 Jan 2021 13:39:12 +0100

nageru (2.0.1-1) unstable; urgency=medium

  * New upstream release. 
    * Work around API breakage in libmicrohttpd. (Closes: #964563)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 09 Jul 2020 09:58:15 +0200

nageru (2.0.0-3) unstable; urgency=medium

  * Build-Depend on the newly added libsrt-gnutls-dev, to get SRT support.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 14 Jun 2020 16:45:05 +0200

nageru (2.0.0-2) unstable; urgency=medium

  * Build without lld on i386; fixes FTBFS.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 03 Jun 2020 00:33:42 +0200

nageru (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    * Build-Conflict against libsrt-dev, to avoid linking in OpenSSL indirectly.
  * Upgrade to debhelper compatibility version 13. Update Build-Depends
    accordingly. No changes needed.
  * Build-Depend on lld, so that the end result isn't different depending on
    whether the autobuilder had the package installed or not.
  * Upgrade to Standards-Version 4.5.0.
    * Install NEWS (and README, which was missing) as docs. Remove the file 
      debian/nageru-docs.docs; there was never a package nageru-docs.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 02 Jun 2020 20:21:04 +0200

nageru (1.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 12 Apr 2020 11:27:26 +0200

nageru (1.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 29 Mar 2020 15:14:31 +0200

nageru (1.9.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Source-only upload to allow testing migration. 
  * debian/control: Add missing build-dependency libdrm-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 13:39:34 -0500

nageru (1.9.1-1) unstable; urgency=medium

  * New upstream release.
    * Fixes missing thread dependency. (Closes: #944931)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 17 Nov 2019 20:12:03 +0100

nageru (1.9.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 23 Jul 2019 09:56:05 +0200

nageru (1.9.0-1) experimental; urgency=medium

  * New upstream release. (Goes to experimental since bmusb hasn't cleared
    the NEW queue yet.)
    * Fixes cross-compilation; patch from Helmut Grohne. (Closes: #930877)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 20 Jul 2019 17:02:35 +0200

nageru (1.8.6-2) experimental; urgency=medium

  * Bump Build-Dependency on libbmusb-dev to 0.7.4. (Closes: #928427)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 05 May 2019 23:48:06 +0200

nageru (1.8.6-1) experimental; urgency=medium

  * New upstream release. (Goes to experimental to avoid disturbing the
    buster release.)
    * Removes the need for prefix-usr.diff.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 19 Apr 2019 09:23:33 +0200

nageru (1.8.4-1) unstable; urgency=high

  * New upstream release.
    * Fixes FTBFS on 32-bit platforms.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 11 Mar 2019 23:41:01 +0100

nageru (1.8.3-1) unstable; urgency=high

  * New upstream release.
    * urgency=high due to the high amount of important upstream bug fixes.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 10 Mar 2019 20:24:25 +0100

nageru (1.8.2-1) unstable; urgency=medium

  * New upstream release.
    * Update debian/copyright with new contributors.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 19 Jan 2019 22:58:59 +0100

nageru (1.8.1-1) unstable; urgency=medium

  * New upstream release.
    * Remove do-not-build-futatabi-test-binaries.diff, since the build system
      now automatically skips the test binaries if SDL is not available
      (and they are never installed anyway).

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 30 Dec 2018 20:11:40 +0100

nageru (1.8.0-1) unstable; urgency=medium

  * New upstream release.
    * Nageru now includes Futatabi, so add a new binary package.
    * Add Build-Dependency on libjpeg-dev and libsqlite3-dev (the latter is
      needed by Futatabi only).
    * Remove no-libjpeg-needed.diff, since the libjpeg dependency is no longer
      spurious.
    * do-not-build-futatabi-test-binaries.diff: New patch, disables building
      of some test binaries we do not install (which gets rid of SDL
      dependencies).

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 20 Dec 2018 00:03:04 +0100

nageru (1.7.5-1) unstable; urgency=medium

  * New upstream release.
    * Build-Depend on meson, as upstream has changed build systems.
      The dependency is versioned so that stretch has a new enough backport.
    * Update prefix-usr.diff to reflect that we no longer have a Makefile
      that needs patching.
    * no-libjpeg-needed.diff: Remove the spurious libjpeg dependency.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 11 Nov 2018 13:59:56 +0100

nageru (1.7.4-1) unstable; urgency=medium

  * New upstream release.
    * Support x264 >= 153. (Closes: #907659)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 31 Aug 2018 22:15:59 +0200

nageru (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 22 May 2018 21:03:01 +0200

nageru (1.7.2-1) unstable; urgency=medium

  * New upstream release.
    * Remove Build-depends on libpci-dev, as it is no longer required.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 28 Apr 2018 17:05:21 +0200

nageru (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 26 Mar 2018 23:45:49 +0200

nageru (1.7.0-2) unstable; urgency=medium

  * Fix an issue with the /usr prefix patch, causing the theme to be attempted
    loaded from /usr/local.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 08 Mar 2018 20:13:05 +0100

nageru (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 08 Mar 2018 19:36:42 +0100

nageru (1.6.4-2) unstable; urgency=medium

  * Drop s390x from the architecture list. (Closes: #888778)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 29 Jan 2018 23:38:02 +0100

nageru (1.6.4-1) unstable; urgency=medium

  * New upstream release.
    * Updates for FFmpeg 3.5. (Closes: #888379)
    * Build-Depend on LuaJIT instead of Lua.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 25 Jan 2018 18:25:35 +0100

nageru (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Add a workaround for platforms that require -latomic for std::atomic.
    Patch by Adrian Bunk. (Closes: #880997)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 08 Nov 2017 18:51:01 +0100

nageru (1.6.2-1) unstable; urgency=medium

  * New upstream release.
    * Fixes SIGFPE with newer i965-va-driver. (Closes: #866512)
    * Bump dependency on libmovit-dev, as per upstream.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 16 Jul 2017 03:36:49 +0200

nageru (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.
    * Adds support for newer bmusb. (Closes: #865435)
  * Add missing build dependency on libqcustomplot-dev.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 19 Jun 2017 00:15:35 +0200

nageru (1.6.0-1) experimental; urgency=medium

  * New upstream release.
    * Update versioned Build-Depends on libmovit-dev and libbmusb-dev.
    * Unfuzz patches.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 30 May 2017 20:01:05 +0200

nageru (1.5.0-1) experimental; urgency=medium

  * New upstream release.
    * Obsoletes friendlier-opengl-error.diff (incorporated in upstream).
    * Add versioned Build-Depends on libmovit-dev and libbmusb-dev
      (both are available from experimental).

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 05 Apr 2017 23:30:01 +0200

nageru (1.4.2-2) unstable; urgency=high

  * friendlier-opengl-error.diff: New patch from upstream git, adds a
    friendlier error message if OpenGL initialization fails.
    (Closes: #859217)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 01 Apr 2017 20:31:56 +0200

nageru (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 24 Nov 2016 18:15:46 +0100

nageru (1.4.1-1) unstable; urgency=medium

  * New upstream release.
    * Add libpci-dev as build-dependency.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 06 Nov 2016 23:27:58 +0100

nageru (1.4.0-1) unstable; urgency=medium

  * New upstream release.
    * Add libprotobuf-dev and protobuf-compiler as build-dependencies.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 25 Oct 2016 09:43:10 +0200

nageru (1.3.4-2) unstable; urgency=medium

  * Add missing epoch to libavformat-dev build-dependency; makes FTBFS on
    some platforms/distributions turn into B-D-Uninstallable, presumably
    prompting a rebuild once updated libavformat-dev hits that architecture.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 12 Aug 2016 21:12:32 +0200

nageru (1.3.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS. (Closes: #833304)
    - Obsoletes fix-compilation-for-systems-without-sse.diff.
    - Adds support for big-endian systems; changed Architecture list to
      linux-any.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 02 Aug 2016 22:48:00 +0200

nageru (1.3.3-2) unstable; urgency=medium

  * fix-compilation-for-systems-without-sse.diff: New patch from upstream,
    fixes compilation issues of filter.cpp for systems without SSE
    (ie., all systems except amd64). (Closes: #832773)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 28 Jul 2016 17:05:00 +0200

nageru (1.3.3-1) unstable; urgency=medium

  * Initial release.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 27 Jul 2016 20:44:29 +0200
